Subject: Re: latest cygwin does not track pwd?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 31 Oct 2000 15:55:28 -0500

At 02:39 PM 10/31/2000, Richard Y. Kim wrote:
> >>>>> "LH" == Larry Hall (RFK Partners, Inc) <[email-masked]> writes:
>
>     LH> Try cding into /mnt/d/projects/apwin/tools/ and
>     LH> doing the ls -l ./foo.  I assume that foo is
>     LH> listable if you provide the full DOS or mounted
>     LH> path, right?
>
>   # cd'ing via /mnt/d does not show ./foo
>   bash-2.04$ cd /mnt/d/projects/apwin/tools/
>   bash-2.04$ ls -l ./foo
>   ls: ./foo: No such file or directory
>   bash-2.04$ cat ./foo
>   cat: ./foo: No such file or directory
>
>   # cd'ing via d:/ *does* show ./foo
>   bash-2.04$ cd d:/projects/apwin/tools/
>   bash-2.04$ ls -l ./foo
>   ls: ./foo: No such file or directory
>   bash-2.04$ cat ./foo
>   #!/usr/local/bin/perl
>   use Cwd;
>   my $dir = cwd;
>   print "cwd = $dir\n";
>
>   # using fullpath does not show ./foo at all
>   bash-2.04$ ls -l d:/projects/apwin/tools/foo
>   ls: d:/projects/apwin/tools/foo: No such file or directory
>   bash-2.04$ ls -l /mnt/d/projects/apwin/tools/foo
>   ls: /mnt/d/projects/apwin/tools/foo: No such file or directory
>   bash-2.04$ cat d:/projects/apwin/tools/foo
>   cat: d:/projects/apwin/tools/foo: No such file or directory
>   bash-2.04$ cat /mnt/d/projects/apwin/tools/foo
>   cat: /mnt/d/projects/apwin/tools/foo: No such file or directory
>   bash-2.04$ 
>
>I recall reading about a new feature in w2k's file system
>where it tries to keep a single copy of a file if the
>content is the same.  I am going to see if I can dig up the
>reference to that.  Perhaps that "feature" is getting in the
>way of cygwin?  I'll keep you posted.

If this reference is what I think it is, then I don't think you'll find it
addresses your issue.  Actually, I just tried the latest DLL (1.1.5.x) and
similar actions worked OK for me.  I did this on W2K so I don't think there's
an issue there.  Here's the output of uname -a from this DLL:

CYGWIN_NT-5.0 ENTERPRISE-E 1.1.6(0.29/3/2) 2000-10-30 20:28 i686 unknown

Given that you note in another (private) email message that adding a "/"
to the end of the directory you cd to resolves the issue, it almost seems
to have the flavor of a CR/LF issue, though obviously that's not really it.
Can you ls any files in the directory with foo?  Can you ls that directory
itself?  Is you ls aliased to anything?

As you can tell, I'm grasping at straws!;-)

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
118 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

--
Want to unsubscribe from this list?
Send a message to [email-masked]